util.ui

## Class OverlayListener

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.event.MouseInputAdapter
    - - util.ui.OverlayListener

- All Implemented Interfaces:
    java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.util.EventListener, javax.swing.event.MouseInputListener

      public class OverlayListener
      extends javax.swing.event.MouseInputAdapter

  A OverlayListener This Class shows partially visible JTree Nodes in a GlassPane. This Class was found at Santosh's Blog: http://www.jroller.com/page/santhosh/20050522#partially_visible_jtree_nodes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) javax.swing.JComponent` | `c`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OverlayListener(javax.swing.JTree tree)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mouseExited(java.awt.event.MouseEvent e)`
    `void` | `mouseMoved(java.awt.event.MouseEvent me)`
    `void` | `mousePressed(java.awt.event.MouseEvent e)`

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseClicked, mouseDragged, mouseEntered, mouseReleased, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.event.MouseListener

      `mouseClicked, mouseEntered, mouseReleased`

    - ### Methods inherited from interface java.awt.event.MouseMotionListener

      `mouseDragged`

- - ### Field Detail

    - #### c

          javax.swing.JComponent c

  - ### Constructor Detail

    - #### OverlayListener

          public OverlayListener(javax.swing.JTree tree)

  - ### Method Detail

    - #### mouseExited

          public void mouseExited(java.awt.event.MouseEvent e)

      Specified by:
        `mouseExited` in interface `java.awt.event.MouseListener`
      Overrides:
        `mouseExited` in class `java.awt.event.MouseAdapter`

    - #### mousePressed

          public void mousePressed(java.awt.event.MouseEvent e)

      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`
      Overrides:
        `mousePressed` in class `java.awt.event.MouseAdapter`

    - #### mouseMoved

          public void mouseMoved(java.awt.event.MouseEvent me)

      Specified by:
        `mouseMoved` in interface `java.awt.event.MouseMotionListener`
      Overrides:
        `mouseMoved` in class `java.awt.event.MouseAdapter`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)